=== debian/changelog ===
far2l-core (2.6.5-1) unstable; urgency=low

  * Bump version to 2.6.5
  * Del key now clears input in elevation dialog
  * Merge pull request #2701 from ctapmex/schemes-update
  * update changelog
  * colorer schemes v1.2.0.62
  * support paste from clipboard in elevation dialog (fix #2688)
  * Merge branch 'master' of github.com:elfmz/far2l
  * stricter unix socket servers permissions
  * Merge pull request #2700 from exkrexpexfex/master
  * Handling mulribyte characters on path abbreviation
  * refactor recent changes
  * yet more tweaks for libarchive detection under mac
  * wx: fix 1sec input reaction delay after adhoc text copying
  * Merge branch 'master' of github.com:elfmz/far2l
  * multiarc/libarch: check if unicode precomposed versions of names matching when comparing filenames for extraction (touch #2613 #2696)
  * Merge pull request #2695 from exkrexpexfex/master
  * Merge pull request #2694 from akruphi/show_uid_gid
  * fix (yet again) libarchive detection on macos
  * Setattr: ability to show "uname"/"gname" or "uid: uname"/"gid: gname"
  * Reapply VMenu filter on Show() if enabled
  * Merge pull request #2692 from spnethw/fix_2588_more_accurate_adjustment_of_LeftPos_in_Viewer
  * Merge pull request #2691 from akruphi/highlighting
  * fix #2588: more accurate adjustment of LeftPos in Viewer
  * Refactoring AddDupWrap() via StrSizeOfCells()
  * Add view by F3 with wrap long line of masks for "Groups of file masks"
  * Arrange elements of dialog "Highlight files - Marking" more logically
  * Files highlighting tuning after #2690
  * Merge pull request #2690 from akruphi/highlighting_def_use_groups
  * Merge pull request #2686 from ctapmex/ubuntu2004-deprecated
  * Merge pull request #2685 from ctapmex/colorer_up
  * Merge pull request #2684 from mitya57/screenshots
  * Merge pull request #2683 from unxed/revert
  * Show in Files highlighting brief dialog with file masks after expand all masks groups
  * new ExMessager::AddDupWrap() for dumb wrap long string
  * Use Mask Groups in defaults of Files highlighting
  * ci: change gcc7 build test
  * update changelog.md
  * Add screenshots also to the README
  * Add screenshots to AppStream metadata
  * fix base catalog search
  * sync colorer with upstream;
  * Revert #2643
  * Merge pull request #2631 from mitya57/metainfo
  * Merge pull request #2679 from spnethw/hlf_update_and_cleanup_4
  * Merge pull request #2681 from m32/master
  * Merge pull request #2678 from mitya57/gcc-15
  * Merge pull request #2682 from akruphi/readme
  * readme + minor
  * proper value
  * in sync with far
  * sending information about keys state should be invisible for marco recording
  * hlf: update and cleanup (4)
  * Add missing <cstdint> include for uint16_t, to fix build with GCC 15
  * Add AppStream metainfo file
  * Merge pull request #2627 from akruphi/changelog
  * Merge pull request #2676 from atolismesh/master
  * Merge pull request #2675 from m32/master
  * Merge pull request #2677 from akruphi/cosmetics
  * Cosmetics help & menu
  * refactoring, use runlike library to recover command line
  * refactoring and bugs
  * refactoring
  * missing loop
  * Fix issue #2668: Multiarc ignores archives if the archive file name does not have an extension - update arcread.cpp
  * refactoring
  * Merge pull request #2673 from akruphi/prevent_blinking
  * prevent blinking in attributes and flags dialogs
  * Merge pull request #2651 from Dazzar56/auto-locale-fix
  * Merge pull request #2671 from Syutkin/patch-1
  * actualization after 15-16 Feb
  * Fix copy/paste AWSSDK_FOUND
  * Merge pull request #2621 from versus-13/netrocks-awss3-plugin
  * Merge pull request #2656 from spnethw/setattr_bugfixes
  * Merge remote-tracking branch 'upstream/master' into auto-locale-fix
  * Merge pull request #2643 from unxed/homekey
  * Merge pull request #2633 from akruphi/fix2082
  * Merge pull request #2619 from spnethw/ConfigClassicHotkeyLinkResolving
  * Merge pull request #2669 from mitya57/fix-duplicate-line
  * Merge pull request #2649 from unxed/kitty_plus
  * build.yml: Remove duplicate libarchive-dev line
  * Merge pull request #2645 from unxed/xterm_shift_fix
  * Merge pull request #2667 from m32/master
  * Merge pull request #2626 from spvkgn/inside
  * try fix ci
  * TTY|F: fix clipboard access dialog missing repaints (fix #2634)
  * Enable C++17
  * Merge pull request #2650 from unxed/multiarc_fix
  * Merge pull request #2612 from spnethw/fix_2605_files_highlighting_and_sort_groups_bugs
  * Merge pull request #2614 from akruphi/misc
  * Update HACKING.md
  * using api for panels
  * utility functions
  * inadequate function name
  * api for editor functions
  * progressdialog
  * testing ID generator
  * using panel api class
  * handlink keditor input callback
  * Fix build on my system
  * can be open also in dialgs
  * correct function declaration
  * correct function declaration, api for panel functions
  * some functions from libc.so
  * python api for panel handling
  * keyboard state for full screen dialogs like hexeditor
  * Merge branch 'elfmz:master' into kitty_plus
  * Merge branch 'kitty_plus' of https://github.com/unxed/far2l into kitty_plus
  * minor fix
  * inside: minor
  * Merge pull request #2620 from akruphi/size_column_width_revert_to_6
  * Merge pull request #2635 from michaellukashov/internal-command-line-improvements
  * Merge pull request #2624 from spnethw/config_cpp_supported_tweaks_fix_wrong_flag
  * Merge pull request #2637 from m32/master
  * Merge pull request #2652 from atolismesh/master
  * Merge pull request #2611 from peter15914/fix_clipboard_null_deref
  * Merge pull request #2610 from spnethw/hlf_update_and_cleanup_3
  * Merge pull request #2609 from akruphi/readme_help
  * Merge branch 'elfmz:master' into homekey
  * Merge branch 'elfmz:master' into xterm_shift_fix
  * Merge branch 'elfmz:master' into multiarc_fix
  * Merge branch 'elfmz:master' into kitty_plus
  * Merge pull request #2600 from anta999/colortest2

